#ifndef PINMAPPING_H
#define PINMAPPING_H
#include "definition.h"

class PinMapping
{
  public:
    PinMapping();
    PinMapping(const Pin I2C_sda, const Pin I2C_scl, const Pin SPI_mosi, const Pin SPI_miso, const Pin SPI_clk, const Pin SPI_sdCard_cs);

    Pin getI2C_sda() const;
    Pin getI2C_scl() const;
    
    Pin getSPI_mosi() const;
    Pin getSPI_miso() const;
    Pin getSPI_clk() const;
    Pin getSPI_sdCard_cs() const;
  private:
    const Pin _I2C_sda;
    const Pin _I2C_scl;
    const Pin _SPI_mosi;
    const Pin _SPI_miso;
    const Pin _SPI_clk;
    const Pin _SPI_sdCard_cs;
};

#endif //PINMAPPING_H
